Remove the connection between the source Cloud Manager organization and the target MongoDB Atlas organization. This stops the source organization from synchronizing data with the target organization.
Required Roles
Your API Key must have the Organization Owner role to successfully call this resource.
Request
Base URL: https://cloud.mongodb.com/api/public/v1.0
DELETE /orgs/{orgId}/liveExport/migrationLinkRequest Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
orgId | string | Required | Unique 24-hexadecimal digit string that identifies the source organization that contains your projects. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether to return the response body in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint doesn't return a response body.
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --include \ --request DELETE 'https://cloud.mongodb.com/api/public/v1.0/orgs/{orgId}/liveExport/migrationLink?pretty=true'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 204 No ContentVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
This endpoint doesn't return a response body.